This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 160434 - Powerbook Pismo X incorrectly configured
Powerbook Pismo X incorrectly configured
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 01:15 EDT by Mace Moneta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 15:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Original - broken - xorg.conf (2.64 KB, text/plain)
2006-03-22 15:30 EST, Mace Moneta
no flags Details
Xorg.setup.log (1.24 KB, text/plain)
2006-03-22 15:35 EST, Mace Moneta
no flags Details
anaconda-ks.cfg (1.20 KB, text/plain)
2006-11-15 10:41 EST, Mace Moneta
no flags Details
install.log (26.15 KB, text/plain)
2006-11-15 10:42 EST, Mace Moneta
no flags Details
install.log.syslog (3.58 KB, application/octet-stream)
2006-11-15 10:43 EST, Mace Moneta
no flags Details
xorg.conf (2.88 KB, application/octet-stream)
2006-11-15 10:44 EST, Mace Moneta
no flags Details
xorg.conf.original (596 bytes, application/octet-stream)
2006-11-15 10:44 EST, Mace Moneta
no flags Details

  None (edit)
Description Mace Moneta 2005-06-15 01:15:28 EDT
Description of problem:

The Powerbook Pismo X is incorrectly configured, preventing a graphical install
and causing X to fail at first boot after installation.


Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1.Attempt graphical install (fails)
2.Install in text mode to recover
3.Reboot after installation (X fails)
  
Actual results:

X will not run

Expected results:

X running normally

Additional info:

The following option statements were added to xorg.conf in the device section to
correct the problem:

---
Section "Device"
        Identifier  "Videocard0"
        Driver      "r128"
        VendorName  "Videocard vendor"
        BoardName   "ATI Rage 128 Mobility"
        Option      "UseFBDev" "true"
        Option      "DMAForXv" "true"
        Option      "PanelWidth" "1024"
        Option      "PanelHeight" "768"
EndSection
---

In addition, the 1024x768 resolution wasa missing from the screen section, and
had to be added (1024x768 is the native resolution of the screen):

---
Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection
Comment 1 Mike A. Harris 2005-06-21 12:57:47 EDT
"system-config-display" is responsible for all X configuration, so this
would be something that would need to be resolved in that component rather
than in xorg-x11.

Reassigning...
Comment 2 Adam Jackson 2006-03-22 14:59:41 EST
can you attach the broken X config, and a log from the failed startup?
Comment 3 Mace Moneta 2006-03-22 15:30:12 EST
Created attachment 126503 [details]
Original - broken - xorg.conf
Comment 4 Mace Moneta 2006-03-22 15:35:18 EST
Created attachment 126506 [details]
Xorg.setup.log

I'm pretty sure this is the log from the broken xorg.conf.  It's been 9 months
since I opened the problem report and I don't remember the details anymore.
Comment 5 Adam Jackson 2006-03-22 16:11:25 EST
interesting.  i don't have one of these handy to test, i'll see what i can come
up with though.
Comment 6 Mace Moneta 2006-11-15 10:41:08 EST
Created attachment 141269 [details]
anaconda-ks.cfg
Comment 7 Mace Moneta 2006-11-15 10:42:25 EST
Created attachment 141270 [details]
install.log
Comment 8 Mace Moneta 2006-11-15 10:43:12 EST
Created attachment 141271 [details]
install.log.syslog
Comment 9 Mace Moneta 2006-11-15 10:44:14 EST
Created attachment 141272 [details]
xorg.conf
Comment 10 Mace Moneta 2006-11-15 10:44:48 EST
Created attachment 141273 [details]
xorg.conf.original
Comment 11 Mace Moneta 2006-11-15 10:47:21 EST
I performed a clean install of FC6 on this system today, and the same problem
exists.

I attached the installation files, as well as the installed (broken) xorg.conf
(as xorg.conf.original) and my modified xorg.conf (working).
Comment 12 Adam Jackson 2006-12-11 15:49:41 EST
Can you also attach your X startup logs (both from the original and modified
xorg.conf)?
Comment 13 Mace Moneta 2006-12-14 15:19:35 EST
I'm sorry, I no longer have access to this equipment.  Since no one else has
added themselves as a CC to this bug, I assume it's of no interest.  Closing.

Note You need to log in before you can comment on or make changes to this bug.